package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumUserIsSubscribe {

    // 0-否 1-是

    NO(0, "N"),
    YES(1, "Y")
    ;

    public static EnumUserIsSubscribe getEnum(Integer code) {
        for (EnumUserIsSubscribe value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumUserIsSubscribe(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
